Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.ehealth.technicalconnector.enumeration
Enum CryptoType

    java.lang.Object
      java.lang.Enum<CryptoType>
          be.ehealth.technicalconnector.enumeration.CryptoType

All Implemented Interfaces:
  Serializable, Comparable<CryptoType>

    public enum CryptoType

extends Enum<CryptoType>

Enumeration for the different cryptos that are available.

Enum Constant Summary
`ENCRYPTION`
`HOLDER_OF_KEY`

Method Summary
`static CryptoType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CryptoType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HOLDER_OF_KEY

    public static final CryptoType HOLDER_OF_KEY

### ENCRYPTION

    public static final CryptoType ENCRYPTION

Method Detail

### values

    public static CryptoType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CryptoType c : CryptoType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CryptoType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPHYSICIAN 3.25.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.